Saltar al contenido principal
PUT
/
v1
/
production
/
operations
/
{operationReference}
Edit an existing operation
curl --request PUT \
  --url https://api.bold-factory.com/v1/production/operations/{operationReference} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "operationTypeReference": "<string>",
  "plannedQuantity": 123,
  "requiredEmployees": 123,
  "workstationReference": "<string>",
  "requiredCharacteristicReference": "<string>",
  "toolReference": "<string>"
}
'
{
  "type": "https://api.bold-factory.com/errors/FILTER_PARSING_FAILED",
  "title": "Filter parsing failed",
  "status": 400,
  "detail": "The filter string could not be parsed or contains invalid column references: CreatedBy column does not exist.",
  "instance": "POST /v1/items/products/search",
  "code": "FILTER_PARSING_FAILED"
}

Autorizaciones

Authorization
string
header
requerido

Use a valid JWT token in the Authorization header with the format 'Bearer {token}'

Parámetros de ruta

operationReference
string
requerido

Cuerpo

application/json
name
string
requerido
operationTypeReference
string
requerido
plannedQuantity
number<double>
requerido
requiredEmployees
null | number<double>
workstationReference
null | string
requiredCharacteristicReference
null | string
toolReference
null | string

Respuesta

No Content